Forum Stats

  • 3,781,578 Users
  • 2,254,530 Discussions
  • 7,879,760 Comments

Discussions

SQL loader is not working with 12c

3835597
3835597 Member Posts: 2
edited Nov 19, 2018 2:17PM in SQL Developer

Hi,

I have installed SQL developer 12.1 on my newly upgraded windows 10 machine. I have a script use to work correctly and loads data from CSV file to database tables. After moving to SQL Developer 12 , it has stopped working. however my colleague with version (11 G) can run the script without any issue.

I checked that SQL loader is installed in my SQLdeveloper> bin directory along with SQL plus.

I tried to installed 11 G on windows 10 64 bit but it always give me an error as ins-13001 environment does not meet minimum requirements

Please help.

Tagged:

Answers

  • cormaco
    cormaco Member Posts: 1,769 Bronze Crown
    edited Nov 19, 2018 12:59PM
    I have installed SQL developer 12.1 on my newly upgraded windows 10 machine. I have a script use to work correctly and loads data from CSV file to database tables. After moving to SQL Developer 12 , it has stopped working. however my colleague with version (11 G) can run the script without any issue. I checked that SQL loader is installed in my SQLdeveloper> bin directory along with SQL plus. I tried to installed 11 G on windows 10 64 bit but it always give me an error as ins-13001 environment does not meet minimum requirements

    I think you mean the Oracle client then you say "SQL Developer", because sqlplus and sql loader are part of an Oracle client installation but not of SQL Developer.

  • 3835597
    3835597 Member Posts: 2
    edited Nov 19, 2018 1:54PM

    I am sorry if i mentioned it incorrectly. i am not expert for this.. i installed SQL client which has SQL developer and SQL loader and SQL puls exe available in my SQLdeveloper> bin directory

  • thatJeffSmith-Oracle
    thatJeffSmith-Oracle Distinguished Product Manager Posts: 8,254 Employee
    edited Nov 19, 2018 2:10PM

    there's a sqlldr exe in the in sql developer bin directory?

    sql developer 12 isn't a version by the way...there is however a sql developer that ships with database 12

    if you go grab a Oracle Client, it will have sqlldr in that (along with SQL*Plus)

  • cormaco
    cormaco Member Posts: 1,769 Bronze Crown
    edited Nov 19, 2018 2:13PM
    I tried to installed 11 G on windows 10 64 bit but it always give me an error as ins-13001 environment does not meet minimum requirements

    Maybe you have more success installing the instant client:

    Instant Client

  • Glen Conway
    Glen Conway Member Posts: 859 Gold Badge
    edited Nov 19, 2018 2:17PM

    It is not clear if this question involves the SQL Developer tool solely, or if it may be related to SQL*Loader enhancements made for Oracle 12.1.  Why not read through the sections on command line changes and control file changes in https://oracle-base.com/articles/12c/sql-loader-enhancements-12cr1 to see if either of those provide any clues as to why your script stopped working.

    And what reason could there be for you not to post the "it has stopped working" error message or the script itself?  I bet that would get you a better response to the question.

    By the way, the SQL Developer tool underwent a version naming standard change last year. It switched to a quarterly release schedule with the version namef as <Year>.<CalendarQuarter> after the 4.2 release in 2017 Q1 (so 17.2, 17.3, 17.4, 18.1, 18.2, and 18.3 currently).

    Cheers